precision mediump float; 
      	 				
uniform sampler2D uTexture;      	 							
uniform int uTextureAvailable;  

varying vec2 vTexCoord;    
varying vec3 vNormal;
varying vec3 eyespaceNormal;  	   							
  
void main()                    		
{                 
	if(uTextureAvailable == 1){              	
    	gl_FragColor = texture2D(uTexture, vTexCoord);
    } else{
    	gl_FragColor = vec4(1,1,1,1);                            		
    }
}