/**
 * CConstants.java (NoFrills3D)
 * Created by Joshua Newnham on Apr 16, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.entities.loaders.collada;

public final class CConstants {

	public static final String TAG_LIBRARY_GEOMETRIES = "library_geometries";
	public static final String TAG_LIBRARY_VISUAL_SCENES = "library_visual_scenes";
	public static final String TAG_LIBRARY_CONTROLLERS = "library_controllers";
	public static final String TAG_LIBRARY_ANIMATIONS = "library_animations";
	
	public static final String TAG_GEOMETRY = "geometry";
	public static final String TAG_SOURCE = "source";
	public static final String TAG_SOURCE_FLOAT_ARRAY = "float_array";
	public static final String TAG_SOURCE_NAME_ARRAY = "Name_array";
	public static final String TAG_SOURCE_ACCESSOR = "accessor";
	public static final String TAG_SOURCE_ACCESSOR_PARAM = "param";
	public static final String TAG_POLYLIST = "polylist";
	public static final String TAG_INPUT = "input";
	public static final String TAG_P = "p";
	public static final String TAG_VERTICES = "vertices";
	public static final String TAG_NODE = "node";
	public static final String TAG_MATRIX = "matrix";
	public static final String TAG_CONTROLLER = "controller";
	public static final String TAG_SKIN = "skin";
	public static final String TAG_BIND_SHAPE_MATRIX = "bind_shape_matrix";
	public static final String TAG_JOINTS = "joints";
	public static final String TAG_VERTEX_WEIGHTS = "vertex_weights";
	public static final String TAG_VCOUNT = "vcount";
	public static final String TAG_V = "v";	
	public static final String TAG_INSTANCE_CONTROLLER = "instance_controller";
	public static final String TAG_SKELETON = "skeleton";
	public static final String TAG_ANIMATION = "animation";
	public static final String TAG_CHANNEL = "channel";
	public static final String TAG_TARGET = "target";
	
	public static final String ATTR_ID = "id"; 
	public static final String ATTR_NAME = "name";
	public static final String ATTR_COUNT = "count";
	public static final String ATTR_SOURCE = "source";
	public static final String ATTR_STRIDE = "stride";
	public static final String ATTR_TYPE = "type";
	public static final String ATTR_SEMANTIC = "semantic";
	public static final String ATTR_OFFSET = "offset";		
	public static final String ATTR_SID = "sid";
	public static final String ATTR_URL = "url";
	
	public static final String VALUE_SEMANTIC_VERTEX = "VERTEX";
	public static final String VALUE_SEMANTIC_NORMAL = "NORMAL";
	public static final String VALUE_SEMANTIC_TEXCOORD = "TEXCOORD";
	public static final String VALUE_SEMANTIC_JOINT = "JOINT";
	public static final String VALUE_SEMANTIC_INV_BIND_MATRIX = "INV_BIND_MATRIX";
	public static final String VALUE_SEMANTIC_WEIGHT = "WEIGHT";
	public static final String VALUE_SEMANTIC_INPUT = "INPUT";
	public static final String VALUE_SEMANTIC_OUTPUT = "OUTPUT";
	public static final String VALUE_SEMANTIC_INTERPOLATION = "INTERPOLATION";
	
	public static final String VALUE_NODE_TYPE_NODE = "NODE";
	public static final String VALUE_NODE_TYPE_JOINT = "JOINT";
	
	
	public static final String VALUE_PARAM_FLOAT = "float";
	public static final String VALUE_PARAM_FLOAT4x4 = "float4x4";
	public static final String VALUE_PARAM_NAME = "name";
	
	public static final String VALUE_PARAM_NAME_TRANSFORM = "TRANSFORM";
	public static final String VALUE_PARAM_NAME_TIME = "TIME";
	
	public static final int FACE_SIZE = 3;
	
	public static final int BONE_INFLUENCE_LIMIT = 4; 
	
}
