package com.wmp.nofrills3d.geometry;

import static android.opengl.GLES20.glUniformMatrix4fv;

import com.wmp.nofrills3d.material.Material;
import com.wmp.nofrills3d.math.Matrix4;
import com.wmp.nofrills3d.scene.Constants;

public class ColladaSkinnedMesh extends SkinnedMesh{	
	
	public Matrix4 bindShapeMatrix = Matrix4.createIdentity(); 
	
	public ColladaSkinnedMesh(String tag) {
		super(tag);
						
	}
	
	@Override
	public void bind(Material material){
		super.bind(material);
		
		int uPtr = material.getUniformLocation(Constants.UNIFORM_COLLADA_BINDSHAPE); 
		if( uPtr != -1 ){
			glUniformMatrix4fv(uPtr, 1, false, bindShapeMatrix.matrix, 0);
		}
		
	}

}
