/**
 * GLTexture.java (ColourExplosion)
 * Created by Joshua Newnham on Apr 9, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.material;

import android.opengl.GLES20;

public class Texture {
	protected int textureId; 
	public int width; 
	public int height;
	
	public Texture(int textureId, int width, int height){
		this.textureId = textureId; 
		this.width = width; 
		this.height = height; 
	}
	
	public int getTextureId(){
		return textureId; 
	}
	
	public void dispose(){
		if( textureId == -1 ){
			return; 
		}
		
		GLES20.glDeleteTextures(1, new int[]{textureId}, 0);
		
		textureId = -1; 
	}
	
}
