// Vertex shader to generate the Depth Map
// Used for shadow mapping - generates depth map from the light's viewpoint

uniform mat4 uMVP;

attribute vec4 aPosition;

varying vec4 vPosition;

void main() {  
	
	vPosition = uMVP * aPosition;
	gl_Position = uMVP * aPosition; 
}