/**
 * CPolyList.java (NoFrills3D)
 * Created by Joshua Newnham on Apr 17, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.entities.loaders.collada;

import java.util.List;
import java.util.Vector;

import com.wmp.nofrills3d.entities.loaders.collada.COLLADAModelLoader.CSourceSemantic;

public class CPolyList {

	public int triangles = 0; 
	public int length = 0;
	public short[] indexes = null; 
	
	public List<CInput> inputs = new Vector<CInput>(3); 
	
	public CPolyList(){
		
	}
	
	public int getIndiciesLength(){
		return length / inputs.size(); 
	}
	
	public int stride(){
		return inputs.size();  
	}	
	
	public CInput findInputForSourceType(CSourceSemantic type){
		for(CInput input : inputs ){
			if( input.source !=null && input.source.type == type ){
				return input; 
			}
		}
		
		return null; 
	}
}
