/**
 * Constants.java (ColourExplosion)
 * Created by Joshua Newnham on Apr 9, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.scene;

public final class Constants {

	public static final long DEFAULT_FRAME_RATE 		= 20; 
	
	public static final String UNIFORM_MV 					= "uMV"; // model view to get world position 
	public static final String UNIFORM_MVP 					= "uMVP";
	public static final String UNIFORM_NORMAL				= "uNormalMatrix";
	public static final String UNIFORM_TEXTURE_0			= "uTexture";	
	public static final String UNIFORM_TEXTURE_SHADOW_MAP	= "uShadowTexture";
	public static final String UNIFORM_TEXTURE_AVAILABLE	= "uTextureAvailable";
	public static final String UNIFORM_BONE_TRANSFORMSN		= "uBoneTransforms";
	public static final String UNIFORM_BONE_COUNT			= "uBoneCount";
	public static final String UNIFORM_SHADOW_PROJ_MATRIX 	= "uShadowProjMatrix";
	public static final String UNIFORM_SHADOW_ENABLED 		= "uShadowEnabled";
	
	//public static final String UNIFORM_TEXTURE_1	= "uTexture1";
	//public static final String UNIFORM_TEXTURE_2	= "uTexture2";
		
	public static final String UNIFORM_AMBIENT		= "uAmbient";
	public static final String UNIFORM_DIFFUSE		= "uDiffuse";	
	public static final String UNIFORM_SPECULAR		= "uSpecular";
	public static final String UNIFORM_SHINNESS		= "uShininess";
	
	public static final String UNIFORM_LIGHT_ENABLED = "uLightOn";
	
	//public static final String UNIFORM_CAMERA_POSITION	= "uCameraPosition";
	public static final String UNIFORM_LIGHT_POSITION		= "uLightPosition";
	
	public static final String UNIFORM_LIGHT_AMBIENT		= "uLightAmbient";
	public static final String UNIFORM_LIGHT_DIFFUSE		= "uLightDiffuse";	
	public static final String UNIFORM_LIGHT_SPECULAR		= "uLightSpecular";
	
	public static final String UNIFORM_COLLADA_BINDSHAPE = "uBindShape";
	
	public static final String ATTRIBUTE_POSITION 		= "aPosition";
	public static final String ATTRIBUTE_NORMAL 		= "aNormal";
	public static final String ATTRIBUTE_TEX_COORD 		= "aTexCoord";
	public static final String ATTRIBUTE_COLOUR 		= "aColour";
	public static final String ATTRIBUTE_BONE_INDEX 	= "aBoneIndex";
	public static final String ATTRIBUTE_BONE_WEIGHT	= "aBoneWeight";	
}
