/**
 * GameListener.java (WMP3D)
 * Created by Joshua Newnham on Apr 9, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.scene;


public interface ISceneRendererDelegate {

	void onSurfaceCreated(SceneRenderer scene); 
	
	void onSurfaceChanged(SceneRenderer scene);
	
	void onLoadSceneEntities(SceneRenderer scene);	
	
	void onPostUpdate(SceneRenderer scene, float elapsedTime);	
	
	void onPostRender(SceneRenderer scene); 				
}
