/**
 * Logger.java (ColourExplosion)
 * Created by Joshua Newnham on Apr 9, 2013.
 * Copyright (c) 2013 We Make Play All rights reserved.
 */
package com.wmp.nofrills3d.utils;

public final class Logger {

	public static boolean Logging = true; 
	
	public static void Log(String tag, String message){
		android.util.Log.i(tag, message);
	}
	
	public static void LogWarning(String tag, String message){
		android.util.Log.w(tag, message);
	}
	
	public static void LogError(String tag, String message){
		android.util.Log.e(tag, message);
	}
	
	public static void LogTODO(String tag, String message){
		android.util.Log.i(tag, "TODO: " + message);
	}
}
